TESTING/LIN/cqrt12.f(3)

NAME
TESTING/LIN/cqrt12.f

SYNOPSIS

  Functions/Subroutines
real function cqrt12 (m, n, a, lda, s, work, lwork, rwork)
CQRT12

Function/Subroutine Documentation

  real function cqrt12 (integer m, integer n, complex, dimension( lda, * ) a, integer lda, real, dimension( * ) s, complex, dimension( lwork ) work, integer lwork, real, dimension( * ) rwork)

CQRT12

Purpose:

     CQRT12 computes the singular values `svlues' of the upper trapezoid
     of A(1:M,1:N) and returns the ratio
          || svlues -s ||/( ||s||*eps*max(M,N) )

Parameters
    M

              M is INTEGER
              The number of rows of the matrix A.

    N

              N is INTEGER
              The number of columns of the matrix A.

    A

              A is COMPLEX array, dimension (LDA,N)
              The M-by-N matrix A. Only the upper trapezoid is referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.

    S

              S is REAL array, dimension (min(M,N))
              The singular values of the matrix A.

    WORK

              WORK is COMPLEX array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              The length of the array WORK. LWORK >= M*N + 2*min(M,N) +
              max(M,N).

    RWORK

              RWORK is REAL array, dimension (4*min(M,N))

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 95 of file cqrt12.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.